Page MenuHomePhabricator

Make "show preview" work correctly
Closed, ResolvedPublic3 Story Points

Description

Motivation
Users who try to resolve an edit conflict should be able to see if their changes have the desired effect. Therefore we want to give them the ability to see a preview (we are not showing a diff, since the edit conflict resolution screen is very close to a diff view anyways).
It is important to note, that this preview should not change the structure of the edit conflict resolution interface, since this is what the user's mental model currently looks like. This means that even conflicts that have already been resolved through edits in the interface are still shown in the conflict view.

Acceptance Criteria

  • When users click on "show preview", a preview of the currently selected version is being shown on top of the page
  • The edit conflict resolution part stays exactly the same

Note

  • It is acceptable if this works for js users only, and with usage of the REST base API

Event Timeline

When I understand this right, we decided in the investigations done in T210501#4803505 on having a copy of the "originally filled" conflict resolution screen underneath the preview screen. So we're not aiming for a consecutive screen with a "new" diff. - In that case the issue described here should not be relevant anymore.

One way or the other. But: at this point changing the text in the popup is a magnitude easier, as far as I can see. I'm not even sure if "going back to the original conflict" is even possible after the user possibly edited paragraphs on both sides already.

Lea_WMDE renamed this task from Description of the reset/undo feature is not exact after using preview to Make "show preview" work correctly.Dec 18 2018, 10:37 AM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)

Change 483182 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] [WIP] Mimic "show preview" functionality

https://gerrit.wikimedia.org/r/483182

Lea_WMDE set the point value for this task to 3.Jan 23 2019, 1:52 PM

Change 486261 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Several minor fixups to recently introduced preview feature

https://gerrit.wikimedia.org/r/486261

Change 483182 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Mimic "show preview" functionality

https://gerrit.wikimedia.org/r/483182

Change 486261 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Several minor fixups to recently introduced preview feature

https://gerrit.wikimedia.org/r/486261

P.S.: You have to provoke a "real" edit conflict to test this. It's not working for the simulation page.

You can easily create a real edit conflict by opening the same page in edit mode twice. Once 'normally' in your browser and another time in a private window. After you opened the page at the same time in edit mode, make an edit in one of the two and save it. Then change to the other opened edit, make an edit ( and at least once in the same line ) and save.

Lea_WMDE closed this task as Resolved.Feb 6 2019, 1:52 PM
Lea_WMDE claimed this task.
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-01-23 board.